################################################################################
# Copyright 2022 Avalanche Warning Service Tyrol                               #
################################################################################
# This is free software you can redistribute/modify under the terms of the     #
# GNU Affero General Public License 3 or later: http://www.gnu.org/licenses    #
################################################################################

[GENERAL]
; BUFF_CHUNK_SIZE=370
; BUFFER_SIZE = 370 # Buffer size = 1 is fastest even when simulating multiple days
; BUFF_BEFORE = 1.5
BUFF_CHUNK_SIZE=1
BUFFER_SIZE = 0.5
BUFF_BEFORE = 0.5
DATA_QA_LOGS=FALSE
# snowpack -b 2021-12-10T10:00:00 -e 2021-12-15T10:00:00 -c snp_nc_test.ini

[INPUT]
DEM = NETCDF
DEMFILE = ./data/snp-ready-nc-files/nwp_dem.nc
DEMVAR = surface_altitude

GRID2D = NETCDF
GRID2DPATH = ./data/snp-ready-nc-files/
NC_EXT = nwp_stacked_cf16.nc
NETCDF_SCHEMA = CF-1.6
NC_DEBUG = TRUE
; NC_ALLOW_MISSING_COORDS = TRUE
NC_KEEP_FILES_OPEN = TRUE

COORDSYS = PROJ
COORDPARAM = 31287
TIME_ZONE = 0.00

# METEO = NETCDF
# METEOPATH = ./data
# METEOFILE1 = zamg_for_snp.nc

SNOW = SMET
SNOWPATH = ./input/sno_files
SNOWFILE1 = sno_temp
SLOPE_FROM_SNO = TRUE

[InputEditing]
; ENABLE_TIMESERIES_EDITING = TRUE
RESAMPLING_STRATEGY=GRID_EXTRACT_PTS
# VSTATION1 = latlon(47.123946,10.220630,2100); Galzig WGS 84
VSTATION1 = xy(363000,164000,2100); MGI / Austria EPSG: 31287
# VSTATION1 = xy(103,16,2100); MGI / Austria EPSG: 31287
VID1 = GALZIG
; VIRTUAL_PARAMETERS = TA RH PSUM VW DW VW_MAX ISWR ILWR
VIRTUAL_PARAMETERS = TA RH PSUM VW DW VW_MAX ISWR
; VSTATIONS_REFRESH_RATE = 21600 # 6h
; VSTATIONS_REFRESH_OFFSET = 10
INTERPOL_USE_FULL_DEM = FALSE

[Output]
COORDSYS = PROJ
COORDPARAM = 31287
TIME_ZONE = 1
METEOPATH = ./output/snp
WRITE_PROCESSED_METEO = FALSE
METEO = SMET
SMET_APPEND = FALSE
SMET_OVERWRITE = TRUE
SMET_COMMENTED_HEADERS = FALSE
;EXPERIMENT = NO_EXP
SNOW_WRITE = FALSE
PROF_WRITE = TRUE
PROF_FORMAT = PRO
AGGREGATE_PRF = FALSE
PROF_START = 0.0
PROF_DAYS_BETWEEN = 4.1666e-2
HARDNESS_IN_NEWTON = FALSE
TS_WRITE = TRUE
TS_FORMAT = SMET
TS_START = 0.0
TS_DAYS_BETWEEN = 4.1666e-2
AVGSUM_TIME_SERIES = TRUE
CUMSUM_MASS = FALSE
PRECIP_RATES = TRUE
OUT_CANOPY = FALSE
OUT_HAZ = TRUE
OUT_SOILEB = FALSE
OUT_HEAT = TRUE
OUT_T = TRUE
OUT_LW = TRUE
OUT_SW = TRUE
OUT_MASS = TRUE
OUT_METEO = TRUE
OUT_STAB = TRUE

[SNOWPACK]
CALCULATION_STEP_LENGTH = 15
ROUGHNESS_LENGTH = 0.002
HEIGHT_OF_METEO_VALUES = 2
HEIGHT_OF_WIND_VALUE = 10
ENFORCE_MEASURED_SNOW_HEIGHTS = FALSE
SW_MODE = INCOMING
; ATMOSPHERIC_STABILITY = MO_MICHLMAYR
ATMOSPHERIC_STABILITY = RICHARDSON
CANOPY = FALSE
MEAS_TSS = FALSE
CHANGE_BC = FALSE
SNP_SOIL = FALSE

[SNOWPACKADVANCED]
VARIANT = DEFAULT
RESEARCH = TRUE
ADJUST_HEIGHT_OF_METEO_VALUES = FALSE
ADJUST_HEIGHT_OF_WIND_VALUE = FALSE
SNOW_EROSION = FALSE
WIND_SCALING_FACTOR = 1
NUMBER_SLOPES = 1
PERP_TO_SLOPE = FALSE
ALLOW_ADAPTIVE_TIMESTEPPING = TRUE
THRESH_RAIN = 1.2
FORCE_RH_WATER = TRUE
THRESH_RH = 0.5
THRESH_DTEMP_AIR_SNOW = 3.0
HOAR_THRESH_TA = 1.2
HOAR_THRESH_RH = 0.97
HOAR_THRESH_VW = 3.5
HOAR_DENSITY_BURIED = 125
HOAR_MIN_SIZE_BURIED = 2.0
HOAR_DENSITY_SURF = 100
MIN_DEPTH_SUBSURF = 0.07
T_CRAZY_MIN = 210
T_CRAZY_MAX = 340
METAMORPHISM_MODEL = DEFAULT
NEW_SNOW_GRAIN_SIZE = 0.3
STRENGTH_MODEL = DEFAULT
VISCOSITY_MODEL = DEFAULT
SALTATION_MODEL = SORENSEN
ENABLE_VAPOUR_TRANSPORT = FALSE
WATERTRANSPORTMODEL_SNOW = BUCKET
WATERTRANSPORTMODEL_SOIL = BUCKET
SOIL_EVAP_MODEL = EVAP_RESISTANCE
SOIL_THERMAL_CONDUCTIVITY = FITTED
ALBEDO_AGING = TRUE
SW_ABSORPTION_SCHEME = MULTI_BAND
HARDNESS_PARAMETERIZATION = MONTI
DETECT_GRASS = FALSE
PLASTIC = FALSE
JAM = FALSE
WATER_LAYER = FALSE
HEIGHT_NEW_ELEM = 0.02
MINIMUM_L_ELEMENT = 0.0025
COMBINE_ELEMENTS = TRUE
; TWO_LAYER_CANOPY = TRUE
; CANOPY_HEAT_MASS = TRUE
; CANOPY_TRANSMISSION = TRUE
; FORESTFLOOR_ALB = TRUE
ADVECTIVE_HEAT = FALSE

SSI_IS_RTA=TRUE
; MULTI_LAYER_SK38=TRUE

[Generators]
TSG::GENERATOR1 = CST
TSG::ARG1::VALUE = 273.150000

[Interpolations1D]
ENABLE_RESAMPLING = TRUE
; WINDOW_SIZE = 43200
; TA::RESAMPLE = NEAREST
; TA::NEAREST::WINDOW_SIZE = 259200
PSUM::RESAMPLE = ACCUMULATE
PSUM::ACCUMULATE::PERIOD = 900

; [Filters]
; ENABLE_METEO_FILTERS = TRUE
; RH::FILTER1 = MIN_MAX
; RH::ARG1::MIN = 0.01
; RH::ARG1::MAX = 1.2
; RH::ARG1::MAX_RESET = -5.000000
; RH::FILTER2 = MIN_MAX
; RH::ARG2::SOFT = true
; RH::ARG2::MIN = 0.05
; RH::ARG2::MAX = 1.0
; ISWR::FILTER1 = MIN_MAX
; ISWR::ARG1::MIN = -10
; ISWR::ARG1::MAX = 1500
; ISWR::FILTER2 = MIN_MAX
; ISWR::ARG2::SOFT = true
; ISWR::ARG2::MIN = 0
; ISWR::ARG2::MAX = 1500
; RSWR::FILTER1 = MIN_MAX
; RSWR::ARG1::MIN = -10
; RSWR::ARG1::MAX = 1500
; RSWR::FILTER2 = MIN_MAX
; RSWR::ARG2::SOFT = true
; RSWR::ARG2::MIN = 0
; RSWR::ARG2::MAX = 1500
; ILWR::FILTER1 = MIN_MAX
; ILWR::ARG1::MIN = 188
; ILWR::ARG1::MAX = 600
; ILWR::FILTER2 = MIN_MAX
; ILWR::ARG2::SOFT = true
; ILWR::ARG2::MIN = 200
; ILWR::ARG2::MAX = 400
; TSG::FILTER1 = MIN_MAX
; TSG::ARG1::MIN = 200
; TSG::ARG1::MAX = 320
; VW::FILTER1 = MIN_MAX
; VW::ARG1::MIN = -2
; VW::ARG1::MAX = 70
; VW::FILTER2 = MIN_MAX
; VW::ARG2::SOFT = true
; VW::ARG2::MIN = 0.0
; VW::ARG2::MAX = 50.0
; ENABLE_TIME_FILTERS = TRUE

[FILTERS]
ENABLE_METEO_FILTERS = FALSE
ENABLE_TIME_FILTERS = FALSE
; RH::FILTER1 = MULT
; RH::ARG1::TYPE = Cst
; RH::ARG1::CST = 0.01
; PSUM_PH::FILTER1 = MIN_MAX
; PSUM_PH::ARG1::SOFT = TRUE
; PSUM_PH::ARG1::MIN = 0
; PSUM_PH::ARG1::MAX = 1


; [Interpolations2D]
; TA::ALGORITHMS = NEAREST
; RH::ALGORITHMS = NEAREST
; VW::ALGORITHMS = NEAREST
; DW::ALGORITHMS = NEAREST
; VW_MAX::ALGORITHMS = NEAREST
; ISWR::ALGORITHMS = NEAREST
; ILWR::ALGORITHMS = NEAREST
; PSUM::ALGORITHMS = NEAREST